Index: channels/chan_vpb.cc
===================================================================
--- channels/chan_vpb.cc	(revision 76707)
+++ channels/chan_vpb.cc	(working copy)
@@ -2157,25 +2072,21 @@
 	/*		ast_verbose("%s: unLOCKING in answer [%d]\n", p->dev,res); */
 			ast_pthread_create(&p->readthread, NULL, do_chanreads, (void *)p);
 		} else {
-			if(option_verbose>3) 
-				ast_verbose(VERBOSE_PREFIX_4 "%s: Record thread already running!!\n",p->dev);
+			ast_verb(4, "%s: Record thread already running!!\n",p->dev);
 		}
 	} else {
-		if(option_verbose>3) {
-			ast_verbose(VERBOSE_PREFIX_4 "%s: Answered state is up\n",p->dev);
-		}
+		ast_verb(4, "%s: Answered state is up\n",p->dev);
 	/*	res = ast_mutex_unlock(&p->lock); */
 	/*	ast_verbose("%s: unLOCKING in answer [%d]\n", p->dev,res); */
 	}
 	vpb_sleep(500);
 	if (p->mode == MODE_FXO){
-		if (option_verbose > 3)
-				ast_verbose("%s: Re-enabling Loop Drop detection\n",p->dev);
+		ast_verb(4, "%s: Re-enabling Loop Drop detection\n",p->dev);
 		vpb_enable_event(p->handle,VPB_MDROP);
 	}
 	res = ast_mutex_unlock(&p->lock);
 /*
-	if(option_verbose>3) ast_verbose("%s: unLOCKING in answer [%d]\n", p->dev,res);
+	ast_verb(4, "%s: unLOCKING in answer [%d]\n", p->dev,res);
 */
 	return 0;
 }
@@ -2263,17 +2174,14 @@
 	int tdiff;
 
 /*	ast_mutex_lock(&p->lock); */
-	if(option_verbose>5) 
-		ast_verbose("%s: vpb_write: Writing to channel\n", p->dev);
+	ast_verb(6, "%s: vpb_write: Writing to channel\n", p->dev);
 
 	if (frame->frametype != AST_FRAME_VOICE) {
-		if(option_verbose>3) 
-			ast_verbose("%s: vpb_write: Don't know how to handle from type %d\n", ast->name, frame->frametype);
+		ast_verb(4, "%s: vpb_write: Don't know how to handle from type %d\n", ast->name, frame->frametype);
 /*		ast_mutex_unlock(&p->lock); */
 		return 0;
 	} else if (ast->_state != AST_STATE_UP) {
-		if(option_verbose>3) 
-			ast_verbose("%s: vpb_write: Attempt to Write frame type[%d]subclass[%d] on not up chan(state[%d])\n",ast->name, frame->frametype, frame->subclass,ast->_state);
+		ast_verb(4, "%s: vpb_write: Attempt to Write frame type[%d]subclass[%d] on not up chan(state[%d])\n",ast->name, frame->frametype, frame->subclass,ast->_state);
 		p->lastoutput = -1;
 /*		ast_mutex_unlock(&p->lock); */
 		return 0;
@@ -2307,17 +2215,14 @@
 	/* Check if we have set up the play_buf */
 	if (p->lastoutput == -1) {
 		vpb_play_buf_start(p->handle, fmt);
-		if(option_verbose>1) {
-			ast_verbose("%s: vpb_write: Starting play mode (codec=%d)[%s]\n",p->dev,fmt,ast2vpbformatname(frame->subclass));
-		}
+		ast_verb(2, "%s: vpb_write: Starting play mode (codec=%d)[%s]\n",p->dev,fmt,ast2vpbformatname(frame->subclass));
 		p->lastoutput = fmt;
 		ast_mutex_unlock(&p->play_lock);
 		return 0;
 	} else if (p->lastoutput != fmt) {
 		vpb_play_buf_finish(p->handle);
 		vpb_play_buf_start(p->handle, fmt);
-		if(option_verbose>1) 
-			ast_verbose("%s: vpb_write: Changed play format (%d=>%d)\n",p->dev,p->lastoutput,fmt);
+		ast_verb(2, "%s: vpb_write: Changed play format (%d=>%d)\n",p->dev,p->lastoutput,fmt);
 		ast_mutex_unlock(&p->play_lock);
 		return 0;
 	}
@@ -2336,9 +2241,9 @@
 		play_buf_time_start = ast_tvnow();
 /*		res = vpb_play_buf_sync(p->handle, (char*)frame->data, tdiff*8*2); */
 		res = vpb_play_buf_sync(p->handle, (char*)frame->data, frame->datalen);
-		if( res == VPB_OK && option_verbose > 5 ) {
+		if(res == VPB_OK) {
 			short * data = (short*)frame->data;
-			ast_verbose("%s: vpb_write: Wrote chan (codec=%d) %d %d\n", p->dev, fmt, data[0],data[1]);
+			ast_verb(6, "%s: vpb_write: Wrote chan (codec=%d) %d %d\n", p->dev, fmt, data[0],data[1]);
 		}
 		p->play_buf_time = ast_tvdiff_ms(ast_tvnow(), play_buf_time_start);
 	}
@@ -2350,8 +2255,7 @@
 
 	ast_mutex_unlock(&p->play_lock);
 /*	ast_mutex_unlock(&p->lock); */
-	if(option_verbose>5) 
-		ast_verbose("%s: vpb_write: Done Writing to channel\n", p->dev);
+	ast_verb(6, "%s: vpb_write: Done Writing to channel\n", p->dev);
 	return 0;
 }
 
@@ -2375,19 +2279,15 @@
 	fr->offset = AST_FRIENDLY_OFFSET;
 	memset(p->buf, 0, sizeof p->buf);
 
-	if (option_verbose > 2) {
-		ast_verbose("%s: chanreads: starting thread\n", p->dev);
-	}  
+	ast_verb(3, "%s: chanreads: starting thread\n", p->dev);
 	ast_mutex_lock(&p->record_lock);
 
 	p->stopreads = 0; 
 	p->read_state = 1;
 	while (!p->stopreads && p->owner) {
 
-		if (option_verbose > 4)
-			ast_verbose("%s: chanreads: Starting cycle ...\n", p->dev);
-		if (option_verbose > 4)
-			ast_verbose("%s: chanreads: Checking bridge \n", p->dev);
+		ast_verb(5, "%s: chanreads: Starting cycle ...\n", p->dev);
+		ast_verb(5, "%s: chanreads: Checking bridge \n", p->dev);
 		if (p->bridge) {
 			if (p->bridge->c0 == p->owner && (p->bridge->flags & AST_BRIDGE_REC_CHANNEL_0))
 				bridgerec = 1;
@@ -2396,12 +2296,9 @@
 			else 
 				bridgerec = 0;
 		} else {
-			if (option_verbose > 4)
-				ast_verbose("%s: chanreads: No native bridge.\n", p->dev);
+			ast_verb(5, "%s: chanreads: No native bridge.\n", p->dev);
 			if (p->owner->_bridge){
-				if (option_verbose > 4){
-					ast_verbose("%s: chanreads: Got Asterisk bridge with [%s].\n", p->dev,p->owner->_bridge->name);
-				}
+				ast_verb(5, "%s: chanreads: Got Asterisk bridge with [%s].\n", p->dev,p->owner->_bridge->name);
 				bridgerec = 1;
 			}
 			else {
@@ -2412,12 +2309,10 @@
 /*		if ( (p->owner->_state != AST_STATE_UP) || !bridgerec) */
 		if ( (p->owner->_state != AST_STATE_UP) ) 
 		{
-			if (option_verbose > 4) {
 				if (p->owner->_state != AST_STATE_UP)
-					ast_verbose("%s: chanreads: Im not up[%d]\n", p->dev,p->owner->_state);
+				ast_verb(5, "%s: chanreads: Im not up[%d]\n", p->dev,p->owner->_state);
 				else
-					ast_verbose("%s: chanreads: No bridgerec[%d]\n", p->dev,bridgerec);
-			}  
+				ast_verb(5, "%s: chanreads: No bridgerec[%d]\n", p->dev,bridgerec);
 			vpb_sleep(10);
 			continue;
 		}
@@ -2433,8 +2328,7 @@
 			ignore_dtmf = 0;
 
 		if(( ignore_dtmf != p->last_ignore_dtmf ) &&(!use_ast_dtmfdet)){
-			if(option_verbose>1) 
-				ast_verbose( VERBOSE_PREFIX_2 "%s:Now %s DTMF \n",
+			ast_verb(2, "%s:Now %s DTMF \n",
 					p->dev, ignore_dtmf ? "ignoring" : "listening for");
 			vpb_set_event_mask(p->handle, ignore_dtmf ? VPB_EVENTS_NODTMF : VPB_EVENTS_ALL );
 		}
@@ -2443,9 +2337,7 @@
 		/* Play DTMF digits here to avoid problem you get if playing a digit during 
 		 * a record operation
 		 */
-		if (option_verbose > 5) {
-			ast_verbose("%s: chanreads: Checking dtmf's \n", p->dev);
-		}  
+		ast_verb(6, "%s: chanreads: Checking dtmf's \n", p->dev);
 		ast_mutex_lock(&p->play_dtmf_lock);
 		if( p->play_dtmf[0] ) {
 			/* Try to ignore DTMF event we get after playing digit */
@@ -2454,12 +2346,10 @@
 				vpb_set_event_mask(p->handle, VPB_EVENTS_NODTMF );
 			if (p->bridge == NULL){
 				vpb_dial_sync(p->handle,p->play_dtmf);
-				if(option_verbose>1) 
-					ast_verbose( VERBOSE_PREFIX_2 "%s: chanreads: Played DTMF %s\n",p->dev,p->play_dtmf);
+				ast_verb(2, "%s: chanreads: Played DTMF %s\n",p->dev,p->play_dtmf);
 			}
 			else {
-				if (option_verbose > 1) 
-					ast_verbose(VERBOSE_PREFIX_2 "%s: chanreads: Not playing DTMF frame on native bridge\n", p->dev);
+				ast_verb(2, "%s: chanreads: Not playing DTMF frame on native bridge\n", p->dev);
 			}
 			p->play_dtmf[0] = '\0';
 			ast_mutex_unlock(&p->play_dtmf_lock);
@@ -2490,32 +2380,24 @@
 			vpb_record_buf_start(p->handle, fmt);
 			vpb_reset_record_fifo_alarm(p->handle);
 			p->lastinput = fmt;
-			if(option_verbose>1) 
-				ast_verbose( VERBOSE_PREFIX_2 "%s: Starting record mode (codec=%d)[%s]\n",p->dev,fmt,ast2vpbformatname(afmt));
+			ast_verb(2, "%s: Starting record mode (codec=%d)[%s]\n",p->dev,fmt,ast2vpbformatname(afmt));
 			continue;
 		} else if (p->lastinput != fmt) {
 			vpb_record_buf_finish(p->handle);
 			vpb_record_buf_start(p->handle, fmt);
 			p->lastinput = fmt;
-			if(option_verbose>1) 
-				ast_verbose( VERBOSE_PREFIX_2 "%s: Changed record format (%d=>%d)\n",p->dev,p->lastinput,fmt);
+			ast_verb(2, "%s: Changed record format (%d=>%d)\n",p->dev,p->lastinput,fmt);
 			continue;
 		}
 
 		/* Read only if up and not bridged, or a bridge for which we can read. */
-		if (option_verbose > 5) {
-			ast_verbose("%s: chanreads: getting buffer!\n", p->dev);
-		}  
+		ast_verb(6, "%s: chanreads: getting buffer!\n", p->dev);
 		if( (res = vpb_record_buf_sync(p->handle, readbuf, readlen) ) == VPB_OK ) {
-			if (option_verbose > 5) {
-				ast_verbose("%s: chanreads: got buffer!\n", p->dev);
-			}  
+			ast_verb(6, "%s: chanreads: got buffer!\n", p->dev);
 			/* Apply extra gain ! */
 			if( p->rxswgain > MAX_VPB_GAIN )
 				a_gain_vector(p->rxswgain - MAX_VPB_GAIN , (short*)readbuf, readlen/sizeof(short));
-			if (option_verbose > 5) {
-				ast_verbose("%s: chanreads: applied gain\n", p->dev);
-			}  
+			ast_verb(6, "%s: chanreads: applied gain\n", p->dev);
 
 			fr->subclass = afmt;
 			fr->data = readbuf;
@@ -2543,9 +2425,7 @@
 			 * (ast_hangup() immediately gets lock)
 			 */
 			if (p->owner && !p->stopreads ) {
-				if (option_verbose > 5) {
-					ast_verbose("%s: chanreads: queueing buffer on read frame q (state[%d])\n", p->dev,p->owner->_state);
-				}  
+				ast_verb(6, "%s: chanreads: queueing buffer on read frame q (state[%d])\n", p->dev,p->owner->_state);
 				do {
 					res = ast_mutex_trylock(&p->owner->lock);
 					trycnt++;
@@ -2554,8 +2434,7 @@
 					ast_queue_frame(p->owner, fr);
 					ast_mutex_unlock(&p->owner->lock);
 				} else {
-					if (option_verbose > 4) 
-						ast_verbose("%s: chanreads: Couldnt get lock after %d tries!\n", p->dev,trycnt);
+					ast_verb(5, "%s: chanreads: Couldnt get lock after %d tries!\n", p->dev,trycnt);
 				}
 				trycnt=0;
 				
@@ -2566,9 +2445,9 @@
 					ast_mutex_unlock(&p->owner->lock);
 				} else {
 					if (res == EINVAL )
-						if (option_verbose > 4) ast_verbose("%s: chanreads: try owner->lock gave me EINVAL[%d]\n", p->dev,res);
+						ast_verb(5, "%s: chanreads: try owner->lock gave me EINVAL[%d]\n", p->dev,res);
 					else if (res == EBUSY )
-						if (option_verbose > 4) ast_verbose("%s: chanreads: try owner->lock gave me EBUSY[%d]\n", p->dev,res);
+						ast_verb(5, "%s: chanreads: try owner->lock gave me EBUSY[%d]\n", p->dev,res);
 					while(res !=0){
 					res = ast_mutex_trylock(&p->owner->lock);
 					}
@@ -2578,27 +2457,22 @@
 					}
 					else {
 						if (res == EINVAL )
-							if (option_verbose > 4) ast_verbose("%s: chanreads: try owner->lock gave me EINVAL[%d]\n", p->dev,res);
+							ast_verb(5, "%s: chanreads: try owner->lock gave me EINVAL[%d]\n", p->dev,res);
 						else if (res == EBUSY )
-							if (option_verbose > 4) ast_verbose("%s: chanreads: try owner->lock gave me EBUSY[%d]\n", p->dev,res);
-						if (option_verbose > 4) ast_verbose("%s: chanreads: Couldnt get lock on owner[%s][%d][%d] channel to send frame!\n", p->dev,p->owner->name,(int)p->owner->lock.__m_owner,(int)p->owner->lock.__m_count);
+							ast_verb(5, "%s: chanreads: try owner->lock gave me EBUSY[%d]\n", p->dev,res);
+						ast_verb(5, "%s: chanreads: Couldnt get lock on owner[%s][%d][%d] channel to send frame!\n", p->dev,p->owner->name,(int)p->owner->lock.__m_owner,(int)p->owner->lock.__m_count);
 					}
 				}
 */
-				if (option_verbose > 6) {
 					short * data = (short*)readbuf;
-					ast_verbose("%s: Read channel (codec=%d) %d %d\n", p->dev, fmt, data[0], data[1] );
+				ast_verb(7, "%s: Read channel (codec=%d) %d %d\n", p->dev, fmt, data[0], data[1] );
 				}  
-			}
 			else {
-				if (option_verbose > 4) {
-					ast_verbose("%s: p->stopreads[%d] p->owner[%p]\n", p->dev, p->stopreads,(void *)p->owner);
+				ast_verb(5, "%s: p->stopreads[%d] p->owner[%p]\n", p->dev, p->stopreads,(void *)p->owner);
 				}  
 			}
+		ast_verb(5, "%s: chanreads: Finished cycle...\n", p->dev);
 		}
-		if (option_verbose > 4)
-			ast_verbose("%s: chanreads: Finished cycle...\n", p->dev);
-	}
 	p->read_state=0;
 
 	/* When stopreads seen, go away! */
@@ -2606,8 +2480,7 @@
 	p->read_state=0;
 	ast_mutex_unlock(&p->record_lock);
 
-	if (option_verbose > 1)
-		ast_verbose(VERBOSE_PREFIX_2 "%s: Ending record mode (%d/%s)\n",
+	ast_verb(2, "%s: Ending record mode (%d/%s)\n",
 			 p->dev, p->stopreads, p->owner? "yes" : "no");     
 	return NULL;
 }
@@ -2622,8 +2495,7 @@
 	    ast_log(LOG_WARNING, "Called vpb_new on owned channel (%s) ?!\n", me->dev);
 	    return NULL;
 	}
-	if (option_verbose > 3)
-		ast_verbose("%s: New call for context [%s]\n",me->dev,context);
+	ast_verb(4, "%s: New call for context [%s]\n",me->dev,context);
 	    
 	tmp = ast_channel_alloc(1, state, 0, 0, "", me->ext, me->context, 0, me->dev);
 	if (tmp) {
@@ -2736,9 +2608,7 @@
 	} ast_mutex_unlock(&iflock);
 
 
-	if (option_verbose > 1) 
-		ast_verbose(VERBOSE_PREFIX_2 " %s requested, got: [%s]\n",
-		name, tmp ? tmp->name : "None");
+	ast_verb(2, " %s requested, got: [%s]\n", name, tmp ? tmp->name : "None");
 
 	ast_free(name);
 
Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 76707)
+++ channels/chan_sip.c	(working copy)
@@ -8601,8 +8601,7 @@
 		peer->sipoptions = 0;
 		peer->lastms = 0;
 
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Unregistered SIP '%s'\n", peer->name);
+		ast_verb(3, "Unregistered SIP '%s'\n", peer->name);
 			manager_event(EVENT_FLAG_SYSTEM, "PeerStatus", "Peer: SIP/%s\r\nPeerStatus: Unregistered\r\n", peer->name);
 		return PARSE_REGISTER_UPDATE;
 	}
@@ -8659,8 +8658,7 @@
 	/* Is this a new IP address for us? */
 	if (inaddrcmp(&peer->addr, &oldsin)) {
 		sip_poke_peer(peer);
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Registered SIP '%s' at %s port %d expires %d\n", peer->name, ast_inet_ntoa(peer->addr.sin_addr), ntohs(peer->addr.sin_port), expiry);
+		ast_verb(3, "Registered SIP '%s' at %s port %d expires %d\n", peer->name, ast_inet_ntoa(peer->addr.sin_addr), ntohs(peer->addr.sin_port), expiry);
 		register_peer_exten(peer, TRUE);
 	}
 	
@@ -8668,8 +8666,7 @@
 	useragent = get_header(req, "User-Agent");
 	if (strcasecmp(useragent, peer->useragent)) {	/* XXX copy if they are different ? */
 		ast_copy_string(peer->useragent, useragent, sizeof(peer->useragent));
-		if (option_verbose > 3)
-			ast_verbose(VERBOSE_PREFIX_3 "Saved useragent \"%s\" for peer %s\n", peer->useragent, peer->name);  
+		ast_verb(4, "Saved useragent \"%s\" for peer %s\n", peer->useragent, peer->name);
 	}
 	return PARSE_REGISTER_UPDATE;
 }
@@ -9011,7 +9008,7 @@
 		if (p->autokillid > -1)
 			sip_cancel_destroy(p);	/* Remove subscription expiry for renewals */
 		sip_scheddestroy(p, DEFAULT_TRANS_TIMEOUT);	/* Delete subscription in 32 secs */
-		ast_verbose(VERBOSE_PREFIX_2 "Extension state: Watcher for hint %s %s. Notify User %s\n", exten, state == AST_EXTENSION_DEACTIVATED ? "deactivated" : "removed", p->username);
+		ast_verb(2, "Extension state: Watcher for hint %s %s. Notify User %s\n", exten, state == AST_EXTENSION_DEACTIVATED ? "deactivated" : "removed", p->username);
 		p->stateid = -1;
 		p->subscribed = NONE;
 		append_history(p, "Subscribestatus", "%s", state == AST_EXTENSION_REMOVED ? "HintRemoved" : "Deactivated");
@@ -9023,8 +9020,7 @@
 	if (p->subscribed != NONE)	/* Only send state NOTIFY if we know the format */
 		transmit_state_notify(p, state, 1, FALSE);
 
-	if (option_verbose > 1)
-		ast_verbose(VERBOSE_PREFIX_1 "Extension Changed %s new state %s for Notify User %s\n", exten, ast_extension_state2str(state), p->username);
+	ast_verb(2, "Extension Changed %s new state %s for Notify User %s\n", exten, ast_extension_state2str(state), p->username);
 
 	sip_pvt_unlock(p);
 
@@ -13498,8 +13494,8 @@
 		default:
 			if ((resp >= 300) && (resp < 700)) {
 				/* Fatal response */
-				if ((option_verbose > 2) && (resp != 487))
-					ast_verbose(VERBOSE_PREFIX_3 "Got SIP response %d \"%s\" back from %s\n", resp, rest, ast_inet_ntoa(p->sa.sin_addr));
+				if ((resp != 487))
+					ast_verb(3, "Got SIP response %d \"%s\" back from %s\n", resp, rest, ast_inet_ntoa(p->sa.sin_addr));
 	
 				if (sipmethod == SIP_INVITE)
 					stop_media_flows(p); /* Immediately stop RTP, VRTP and UDPTL as applicable */
@@ -13662,8 +13658,8 @@
 				}
 			}
 			if ((resp >= 300) && (resp < 700)) {
-				if ((option_verbose > 2) && (resp != 487))
-					ast_verbose(VERBOSE_PREFIX_3 "Incoming call: Got SIP response %d \"%s\" back from %s\n", resp, rest, ast_inet_ntoa(p->sa.sin_addr));
+				if ((resp != 487))
+					ast_verb(3, "Incoming call: Got SIP response %d \"%s\" back from %s\n", resp, rest, ast_inet_ntoa(p->sa.sin_addr));
 				switch(resp) {
 				case 488: /* Not acceptable here - codec error */
 				case 603: /* Decline */
@@ -16226,8 +16222,7 @@
 		sip_reloading = FALSE;
 		ast_mutex_unlock(&sip_reload_lock);
 		if (reloading) {
-			if (option_verbose > 0)
-				ast_verbose(VERBOSE_PREFIX_1 "Reloading SIP\n");
+			ast_verb(1, "Reloading SIP\n");
 			sip_do_reload(sip_reloadreason);
 
 			/* Change the I/O fd of our UDP socket */
@@ -16831,8 +16826,7 @@
 	else
 		authlist = auth;
 
-	if (option_verbose > 2)
-		ast_verbose("Added authentication for realm %s\n", realm);
+	ast_verb(3, "Added authentication for realm %s\n", realm);
 
 	return authlist;
 
@@ -17865,8 +17859,7 @@
 				close(sipsock);
 				sipsock = -1;
 			} else {
-				if (option_verbose > 1)
-					ast_verbose(VERBOSE_PREFIX_2 "SIP Listening on %s:%d\n", 
+				ast_verb(2, "SIP Listening on %s:%d\n",
 						ast_inet_ntoa(bindaddr.sin_addr), ntohs(bindaddr.sin_port));
 				if (stunaddr.sin_addr.s_addr != 0) {
 					ast_debug(1, "stun to %s:%d\n",
Index: channels/chan_agent.c
===================================================================
--- channels/chan_agent.c	(revision 76707)
+++ channels/chan_agent.c	(working copy)
@@ -458,8 +458,7 @@
  		case AST_FRAME_CONTROL:
  			if (f->subclass == AST_CONTROL_ANSWER) {
  				if (p->ackcall) {
- 					if (option_verbose > 2)
- 						ast_verbose(VERBOSE_PREFIX_3 "%s answered, waiting for '#' to acknowledge\n", p->chan->name);
+ 					ast_verb(3, "%s answered, waiting for '#' to acknowledge\n", p->chan->name);
  					/* Don't pass answer along */
  					ast_frfree(f);
  					f = &ast_null_frame;
@@ -475,8 +474,7 @@
 		case AST_FRAME_DTMF_BEGIN:
  		case AST_FRAME_DTMF_END:
  			if (!p->acknowledged && (f->subclass == '#')) {
- 				if (option_verbose > 2)
- 					ast_verbose(VERBOSE_PREFIX_3 "%s acknowledged\n", p->chan->name);
+ 				ast_verb(3, "%s acknowledged\n", p->chan->name);
  				p->acknowledged = 1;
  				ast_frfree(f);
  				f = &answer_frame;
@@ -628,8 +626,7 @@
 	} else if (!ast_strlen_zero(p->loginchan)) {
 		time(&p->start);
 		/* Call on this agent */
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "outgoing agentcall, to agent '%s', on '%s'\n", p->agent, p->chan->name);
+		ast_verb(3, "outgoing agentcall, to agent '%s', on '%s'\n", p->agent, p->chan->name);
 		ast_set_callerid(p->chan,
 			ast->cid.cid_num, ast->cid.cid_name, NULL);
 		ast_channel_inherit_variables(ast, p->chan);
@@ -638,7 +635,7 @@
 		ast_mutex_unlock(&p->lock);
 		return res;
 	}
-	ast_verbose( VERBOSE_PREFIX_3 "agent_call, call to agent '%s' call on '%s'\n", p->agent, p->chan->name);
+	ast_verb(3, "agent_call, call to agent '%s' call on '%s'\n", p->agent, p->chan->name);
 	ast_debug(3, "Playing beep, lang '%s'\n", p->chan->language);
 	res = ast_streamfile(p->chan, beep, p->chan->language);
 	ast_debug(3, "Played beep, result '%d'\n", res);
@@ -1748,8 +1745,7 @@
 		if (max_login_tries < 0)
 			max_login_tries = 0;
 		tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTMAXLOGINTRIES");
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTMAXLOGINTRIES=%s, setting max_login_tries to: %d on Channel '%s'.\n",tmpoptions,max_login_tries,chan->name);
+		ast_verb(3, "Saw variable AGENTMAXLOGINTRIES=%s, setting max_login_tries to: %d on Channel '%s'.\n",tmpoptions,max_login_tries,chan->name);
 	}
 	if (!ast_strlen_zero(pbx_builtin_getvar_helper(chan, "AGENTUPDATECDR"))) {
 		if (ast_true(pbx_builtin_getvar_helper(chan, "AGENTUPDATECDR")))
@@ -1757,14 +1753,12 @@
 		else
 			update_cdr = 0;
 		tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTUPDATECDR");
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTUPDATECDR=%s, setting update_cdr to: %d on Channel '%s'.\n",tmpoptions,update_cdr,chan->name);
+		ast_verb(3, "Saw variable AGENTUPDATECDR=%s, setting update_cdr to: %d on Channel '%s'.\n",tmpoptions,update_cdr,chan->name);
 	}
 	if (!ast_strlen_zero(pbx_builtin_getvar_helper(chan, "AGENTGOODBYE"))) {
 		strcpy(agent_goodbye, pbx_builtin_getvar_helper(chan, "AGENTGOODBYE"));
 		tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTGOODBYE");
-		if (option_verbose > 2)
-			ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTGOODBYE=%s, setting agent_goodbye to: %s on Channel '%s'.\n",tmpoptions,agent_goodbye,chan->name);
+		ast_verb(3, "Saw variable AGENTGOODBYE=%s, setting agent_goodbye to: %s on Channel '%s'.\n",tmpoptions,agent_goodbye,chan->name);
 	}
 	/* End Channel Specific Login Overrides */
 	
@@ -1824,24 +1818,21 @@
 					else
 						p->ackcall = 0;
 					tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTACKCALL");
-					if (option_verbose > 2)
-						ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTACKCALL=%s, setting ackcall to: %d for Agent '%s'.\n",tmpoptions,p->ackcall,p->agent);
+					ast_verb(3, "Saw variable AGENTACKCALL=%s, setting ackcall to: %d for Agent '%s'.\n",tmpoptions,p->ackcall,p->agent);
 				}
 				if (!ast_strlen_zero(pbx_builtin_getvar_helper(chan, "AGENTAUTOLOGOFF"))) {
 					p->autologoff = atoi(pbx_builtin_getvar_helper(chan, "AGENTAUTOLOGOFF"));
 					if (p->autologoff < 0)
 						p->autologoff = 0;
 					tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTAUTOLOGOFF");
-					if (option_verbose > 2)
-						ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTAUTOLOGOFF=%s, setting autologff to: %d for Agent '%s'.\n",tmpoptions,p->autologoff,p->agent);
+					ast_verb(3, "Saw variable AGENTAUTOLOGOFF=%s, setting autologff to: %d for Agent '%s'.\n",tmpoptions,p->autologoff,p->agent);
 				}
 				if (!ast_strlen_zero(pbx_builtin_getvar_helper(chan, "AGENTWRAPUPTIME"))) {
 					p->wrapuptime = atoi(pbx_builtin_getvar_helper(chan, "AGENTWRAPUPTIME"));
 					if (p->wrapuptime < 0)
 						p->wrapuptime = 0;
 					tmpoptions=pbx_builtin_getvar_helper(chan, "AGENTWRAPUPTIME");
-					if (option_verbose > 2)
-						ast_verbose(VERBOSE_PREFIX_3 "Saw variable AGENTWRAPUPTIME=%s, setting wrapuptime to: %d for Agent '%s'.\n",tmpoptions,p->wrapuptime,p->agent);
+					ast_verb(3, "Saw variable AGENTWRAPUPTIME=%s, setting wrapuptime to: %d for Agent '%s'.\n",tmpoptions,p->wrapuptime,p->agent);
 				}
 				/* End Channel Specific Agent Overrides */
 				if (!p->chan) {
@@ -1887,8 +1878,7 @@
 						if (update_cdr && chan->cdr)
 							snprintf(chan->cdr->channel, sizeof(chan->cdr->channel), "Agent/%s", p->agent);
 						ast_queue_log("NONE", chan->uniqueid, agent, "AGENTLOGIN", "%s", chan->name);
-						if (option_verbose > 1)
-							ast_verbose(VERBOSE_PREFIX_2 "Agent '%s' logged in (format %s/%s)\n", p->agent,
+						ast_verb(2, "Agent '%s' logged in (format %s/%s)\n", p->agent,
 								    ast_getformatname(chan->readformat), ast_getformatname(chan->writeformat));
 						/* Login this channel and wait for it to go away */
 						p->chan = chan;
@@ -1963,8 +1953,7 @@
 							      "Uniqueid: %s\r\n",
 							      p->agent, logintime, chan->uniqueid);
 						ast_queue_log("NONE", chan->uniqueid, agent, "AGENTLOGOFF", "%s|%ld", chan->name, logintime);
-						if (option_verbose > 1)
-							ast_verbose(VERBOSE_PREFIX_2 "Agent '%s' logged out\n", p->agent);
+						ast_verb(2, "Agent '%s' logged out\n", p->agent);
 						/* If there is no owner, go ahead and kill it now */
 						ast_device_state_changed("Agent/%s", p->agent);
 						if (p->dead && !p->owner) {
Index: channels/iax2-provision.c
===================================================================
--- channels/iax2-provision.c	(revision 76707)
+++ channels/iax2-provision.c	(working copy)
@@ -507,8 +507,7 @@
 			if (strcasecmp(cat, "general")) {
 				iax_process_template(cfg, cat, found ? "default" : NULL);
 				found++;
-				if (option_verbose > 2)
-					ast_verbose(VERBOSE_PREFIX_3 "Loaded provisioning template '%s'\n", cat);
+				ast_verb(3, "Loaded provisioning template '%s'\n", cat);
 			}
 			cat = ast_category_browse(cfg, cat);
 		}
